<?php
/**
 * Class that operate on table 'partner'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2013-04-06 10:57
 */
class PartnerMySqlExtDAO extends PartnerMySqlDAO{
	
	
	
	public function updateConditions($partner)
	{
		$sql = 'UPDATE partner SET  partnerdate = ?, conditions = ?, userid = ? WHERE partnerid = ?';
		$sqlQuery = new SqlQuery($sql);
		
		$sqlQuery->set($partner->partnerdate);
		$sqlQuery->setNumber($partner->conditions);
		$sqlQuery->setNumber($partner->userid);

		$sqlQuery->setNumber($partner->partnerid);
		return $this->executeUpdate($sqlQuery);
	}

	
}
?>